=== modified file 'loggerhead/static/javascript/diff.js'
--- loggerhead/static/javascript/diff.js	2009-03-17 04:26:28 +0000
+++ loggerhead/static/javascript/diff.js	2009-03-17 06:07:11 +0000
@@ -155,8 +155,10 @@
     Y.all("#list-files a").on(
       'click',
       function (e) {
+        e.preventDefault();
         var hash = e.target.get('href').split('#')[1];
         var collapsable = Y.get('#' + path_to_id[hash]).collapsable;
+        window.location.hash = '#' + hash;
         if (!collapsable.is_open) {
           collapsable.open(function () { window.location.hash = '#' + hash; });
         }

=== modified file 'loggerhead/templatefunctions.py'
--- loggerhead/templatefunctions.py	2009-03-07 07:29:26 +0000
+++ loggerhead/templatefunctions.py	2009-03-17 06:07:11 +0000
@@ -39,19 +39,12 @@
 
 @templatefunc
 def file_change_summary(url, entry, link_style='normal', currently_showing=None):
-    if link_style == 'fragment':
-        def file_link(filename):
-            if currently_showing:
-                if filename == currently_showing:
-                    return '<b><a href="#%s">%s</a></b>' % (
-                        cgi.escape(filename), cgi.escape(filename))
-                else:
-                    return revision_link(url, entry.revno, filename)
-            else:
-                return '<a href="#%s">%s</a>' % (
-                    cgi.escape(filename), cgi.escape(filename))
-    else:
-        file_link = lambda filename: revision_link(url, entry.revno, filename)
+    def file_link(filename):
+        if currently_showing and filename == currently_showing:
+            return '<b><a href="#%s">%s</a></b>' % (
+                cgi.escape(filename), cgi.escape(filename))
+        else:
+            return revision_link(url, entry.revno, filename, '#' + filename)
     return _pt('revisionfilechanges').expand(
         url=url, entry=entry, file_link=file_link,
         currently_showing=currently_showing, **templatefunctions)
@@ -120,7 +113,7 @@
         url(['/annotate', revno, path]), cgi.escape(path), cgi.escape(path))
 
 @templatefunc
-def revision_link(url, revno, path):
-    return '<a href="%s" title="View changes to %s in revision %s">%s</a>'%(
-        url(['/revision', revno, path]), cgi.escape(path), cgi.escape(revno),
-        cgi.escape(path))
+def revision_link(url, revno, path, frag=''):
+    return '<a href="%s%s" title="View changes to %s in revision %s">%s</a>'%(
+        url(['/revision', revno, path]), frag, cgi.escape(path),
+        cgi.escape(revno), cgi.escape(path))

=== modified file 'loggerhead/templates/revisioninfo.pt'
--- loggerhead/templates/revisioninfo.pt	2009-03-05 22:56:59 +0000
+++ loggerhead/templates/revisioninfo.pt	2009-03-17 06:07:11 +0000
@@ -16,7 +16,7 @@
         <div class="information" tal:content="structure python:util.fixed_width(change.comment)"></div>
     </div>
     <ul id="list-files" tal:condition="include_file_list">
-      <tal:block content="structure python:file_change_summary(url, change, 'fragment', currently_showing)" />
+      <tal:block content="structure python:file_change_summary(url, change, currently_showing)" />
     </ul>
     <div class="clear"><!-- --></div>
 </div>

